Рекомендация Debian по безопасности

DSA-4618-1 libexif -- обновление безопасности

Дата сообщения:
06.02.2020
Затронутые пакеты:
libexif
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 945948.
В каталоге Mitre CVE: CVE-2019-9278.
Более подробная информация:

В libexif, библиотеке для грамматического разбора EXIF-файлов, было обнаружено чтение за пределами выделенного буфера из-за переполнения целы чисел, которое может приводить к отказу в обслуживании или выполнению произвольного кода в случае обработки специально сформированных изображений.

В предыдущем стабильном выпуске (stretch) эта проблема была исправлена в версии 0.6.21-2+deb9u1.

В стабильном выпуске (buster) эта проблема была исправлена в версии 0.6.21-5.1+deb10u1.

Рекомендуется обновить пакеты libexif.

С подробным статусом поддержки безопасности libexif можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/libexif